List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaigns \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaigns"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 8747,
"name": "Soja | De primera | 2019/2020",
"cultivation_id": 1,
"planting_time_id": 1,
"cycle_id": 7,
"date": "2020-03-10T22:06:17-03:00",
"created_at": "2020-03-10T22:06:17-03:00",
"modified_at": "2020-03-10T22:06:17-03:00",
"deleted_at": null,
"active": false
},
{
"id": 9161,
"name": "Trigo | De primera | 2019/2020",
"cultivation_id": 2,
"planting_time_id": 1,
"cycle_id": 7,
"date": "2020-03-10T22:06:24-03:00",
"created_at": "2020-03-10T22:06:24-03:00",
"modified_at": "2020-03-10T22:06:24-03:00",
"deleted_at": null,
"active": false
},
{
"id": 9218,
"name": "Maíz | De primera | 2018/2019",
"cultivation_id": 4,
"planting_time_id": 1,
"cycle_id": 6,
"date": "2020-03-10T22:06:25-03:00",
"created_at": "2020-03-10T22:06:25-03:00",
"modified_at": "2020-03-10T22:06:25-03:00",
"deleted_at": null,
"active": false
},
{
"id": 10076,
"name": "Maíz | De primera | 2019/2020",
"cultivation_id": 4,
"planting_time_id": 1,
"cycle_id": 7,
"date": "2019-05-30T10:04:30-03:00",
"created_at": "2020-03-10T22:06:56-03:00",
"modified_at": "2020-03-10T22:06:56-03:00",
"deleted_at": null,
"active": false
},
{
"id": 12633,
"name": "Soja | De primera | 2020/2021",
"cultivation_id": 1,
"planting_time_id": 1,
"cycle_id": 8,
"date": "2020-01-29T13:25:35-03:00",
"created_at": "2020-03-10T22:09:34-03:00",
"modified_at": "2020-03-10T22:09:34-03:00",
"deleted_at": null,
"active": false
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 11,
"total_items": 51
}{
"error": {
"code": 0,
"message": "Page \"9999\" does not exist. The currentPage must be inferior to \"3163\"",
"exception": [
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 274,
"function": "normalizeOutOfRangeCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
9999
]
},
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 246,
"function": "filterOutOfRangeCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
9999
]
},
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 200,
"function": "filterCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
9999
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Resource/Paginator/PaginatorResource.php",
"line": 51,
"function": "setCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
9999
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/MasterCampaignsController.php",
"line": 108,
"function": "getPaginator",
"class": "Kodear\\ApiBundle\\Resource\\Paginator\\PaginatorResource",
"type": "->",
"args": []
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "list",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\MasterCampaignsController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}Version 3 > Master Campaigns
List
Lista campañas maestras de la sociedad del usuario autenticado (Third Party V3).
Query: page, size (paginación); id, name, cultivation_id, planting_time_id, cycle_id, date_from, date_to (filtros de entidad); created_at_from/to, updated_at_from/to, deleted_at_from/to, active (auditoría Third Party).
GET
/
api
/
v3
/
third_party
/
master_campaigns
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

